Page MenuHomePhabricator

UpdateRepoOnMove RevisionedUnresolvedRedirectException logspam
Closed, ResolvedPublic

Description

Identified in T228293#6108183

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-mediawiki-2020.05.04/mediawiki?id=AXHfk9pOV09SQyy6C8r1&_g=h@8b5b71a

This is undesired and the Job should be able to handle at least 1 level of redirects automatically.

Event Timeline

Addshore created this task.May 5 2020, 12:37 PM
Addshore triaged this task as Medium priority.May 5 2020, 12:39 PM
Maintenance_bot moved this task from incoming to in progress on the Wikidata board.May 5 2020, 1:15 PM

Change 599869 had a related patch set uploaded (by Addshore; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] UpdateRepoOnMove: Redirect logspam and crash

https://gerrit.wikimedia.org/r/599869

Change 599869 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] UpdateRepoOnMove: Redirect logspam and crash

https://gerrit.wikimedia.org/r/599869

Michael closed this task as Resolved.Jun 16 2020, 1:49 PM
Michael added a subscriber: Michael.

As far as I can tell, this is fixed. Neither found it in logstash nor could reproduce the problem locally.